Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IdUniquenessPolicy Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::IdUniquenessPolicy:

[legend]
Collaboration diagram for PortableServer::IdUniquenessPolicy:

[legend]
List of all members.

## Public Types
typedef IdUniquenessPolicy_ptr | _ptr_type
typedef IdUniquenessPolicy_var | _var_type
## Public Methods
virtual::PortableServer::IdUniquenessPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
IdUniquenessPolicy_ptr | _duplicate (IdUniquenessPolicy_ptr obj)
IdUniquenessPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IdUniquenessPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IdUniquenessPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute IdUniquenessPolicyValue | value
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| IdUniquenessPolicy (void)
virtual | ~IdUniquenessPolicy (void)
## Private Methods
| IdUniquenessPolicy (const IdUniquenessPolicy &)
void | operator= (const IdUniquenessPolicy &)

## Member Typedef Documentation

typedef IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef IdUniquenessPolicy_var PortableServer::IdUniquenessPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::IdUniquenessPolicy::IdUniquenessPolicy | ( | void |  | ) | `[protected]`

virtual PortableServer::IdUniquenessPolicy::~IdUniquenessPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::IdUniquenessPolicy::IdUniquenessPolicy | ( | const IdUniquenessPolicy & |  | ) | `[private]`

## Member Function Documentation

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_duplicate | ( | IdUniquenessPolicy_ptr | obj | ) | `[static]`

virtual const char* PortableServer::IdUniquenessPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* PortableServer::IdUniquenessPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void PortableServer::IdUniquenessPolicy::operator= | ( | const IdUniquenessPolicy & |  | ) | `[private]`

virtual ::PortableServer::IdUniquenessPolicyValue PortableServer::IdUniquenessPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_Id_Uniqueness_Policy.

## Member Data Documentation

int PortableServer::IdUniquenessPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute IdUniquenessPolicyValue PortableServer::IdUniquenessPolicy::value

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h